class AddColumnsToPriceDocsAdnPriceLineBlocks < ActiveRecord::Migration[6.0]
  def change
    add_reference :price_documents, :tva_type, index: true
    add_column :price_documents, :ac_tva_type_name, :string
    add_column :price_documents, :cc_tva_type_name, :string
    add_column :price_documents, :supplier_document_date, :date
    add_column :price_line_blocks, :stock_entrance_date, :date
    add_column :price_line_blocks, :ct_tot_amount_ht, :decimal, :precision => 14,   :scale => 2
    change_table :price_line_blocks do |t|
      t.belongs_to :price_document
    end
  end
end
